Bug 885157 - CCS/CCP return code
CCS/CCP return code
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
low Severity low
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 10:57 EST by Lubos Trilety
Modified: 2013-03-19 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-12-07 10:57:59 EST
Description of problem:
condor_configure_store/pool returns zero even when there's some problem during run. In case that the problem is not fatal.

e.g. set parameter default value and set must_change to true
# ccs -a -p PAR
Console Connection Established...
Adding the following parameter: PAR with {}
Modifying the following parameter: PAR with {:kind=>"t", :description=>"t", :default_val=>"t", :needsRestart=>false, :level=>0, :must_change=>true}
Couldn't find parameter PAR (Can't set must_change on a parameter with a default value (remove it first):  PAR)
warning: ModifyParam returned non-zero
Modifying the following parameter: PAR with {:annotation=>"t"}

# echo $?
0


Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.4-1

How reproducible:
100%

Steps to Reproduce:
see above
  
Actual results:


Expected results:
correct return code

Additional info:
Comment 2 Robert Rati 2013-01-07 14:51:05 EST
Fixed upstream on:
BZ885157-return-code
Comment 4 Lubos Trilety 2013-01-10 12:01:10 EST
Tested with:
condor-wallaby-tools-5.0.5-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

It seems return codes are corrected.

# ccs -a -p PAR
Console Connection Established...
Adding the following parameter: PAR with {}
Modifying the following parameter: PAR with {:kind=>"", :description=>"", :default_val=>"some", :needsRestart=>false, :level=>0, :must_change=>true}
Couldn't find parameter PAR (Can't set must_change on a parameter with a default value (remove it first):  PAR)
warning: ModifyParam returned non-zero
Modifying the following parameter: PAR with {:annotation=>""}

# echo $?
1

# ccs -l -f feat
Console Connection Established...
warning:  feature feat does not exist
warning: ShowFeature returned non-zero

# echo $?
127

# ccs -e -p PAR2
Console Connection Established...
Modifying the following parameter: PAR3 with {:kind=>"", :description=>"", :default_val=>"some", :needsRestart=>false, :level=>0, :must_change=>true}
Couldn't find parameter PAR3 (Can't set must_change on a parameter with a default value (remove it first):  PAR3)
warning: ModifyParam returned non-zero
Modifying the following parameter: PAR3 with {:annotation=>""}

# echo $?
1

>>> verified

Note You need to log in before you can comment on or make changes to this bug.